# Note that this is NOT a relocatable package
%define ver      0.9.1
%define rel      1
%define prefix   /usr

Summary: gedit is a small but powerful text editor for GNOME.
Summary(es): gedit es un editor de texto para GNOME pequeo pero potente
Name:      gedit
Version:   %ver
Release:   %rel
Copyright: GPL
Group: Applications/Editors
Source0:   gedit-%{PACKAGE_VERSION}.tar.gz
URL:       http://gedit.sourceforge.net
BuildRoot: /var/tmp/gedit-%{PACKAGE_VERSION}-root
Docdir: %{prefix}/help

Requires: gtk+ >= 1.2.7
Requires: gnome-libs >= 1.0.55
Requires: gnome-print >= 0.18

%description
gedit is a small but powerful text editor for
the GNOME desktop.

It includes plugin API, which allows gedit to be extended
to support many features while remaining small at its core,
multiple document editing through the use of a 'tabbed'
notebook and many more functions.

GNOME is required to use gedit (Gnome-Libs and Gtk+).

%description -l es
gedit es un editor de texto pequeo pero potente
para GNOME.

Incluye una API de extensiones, la cual permite a gedit ser
ampliado para soportar bastantes prestaciones, pero manteniendo
pequeo su ncleo, edicin de multiples documentos mediante el
uso de bloc de notas con pestaas y muchas ms funcionalidades.

Necesita GNOME para emplear gedit (Gnome-Libs y Gtk+).

%package devel
Summary: Develop plugins for the gedit editor.
Summary(es): Desarrollo de extensiones para el editor gedit.
Group: Development/Libraries

%description devel
gedit is a small but powerful text editor for GTK+ and/or GNOME.
This package allows you to develop plugins that work within
gedit.  Plugins can create new documents and manipulate documents
in arbitrary ways.

%description devel -l es
gedit es un editor de texto pequeo pero potente para GTK+ y/o GNOME.
Este paquete le permite desarrollar extensiones que funcionen dentro
de gedit. Las extensiones pueden crear nuevos documentos y manipularlos
de distintas formas.

%prep
%setup

%build
%ifarch alpha
   CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure --host=alpha-redhat-linux\
	--prefix=%{prefix} 
%else
   CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure \
	--prefix=%{prefix} 
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc README COPYING ChangeLog NEWS TODO AUTHORS INSTALL THANKS TODO-road_to_1.0.0 FAQ
%{prefix}/bin/gedit
%{prefix}/share/*
%{prefix}/man/*/*
%{prefix}/lib/gedit/plugins/*

%changelog
* Sun Jun 11 2000 Chema Celorio
- updated description and webpage

* Fri Jun 09 2000 Carlos Perell Marn <carpema@hispalinux.es>
- Added the Spanish description

* Wed Apr 19 2000 Jason Leach <leach@wam.umd.edu>
- Removed the prefix/libexec/* from files, we don't build plugins here
anymore

* Wed Nov 17 1999 Alex Roberts <bse@gedit.pn.org>
- Updated doc's to be included in RPM

* Sat Feb 06 1999 Michael Johnson <johnsonm@redhat.com>
- Cleaned up a bit for Red Hat use

* Thu Oct 22 1998 Alex Roberts <bse@dial.pipex.com>
- First try at an RPM
